| Kea 3.0.2-git

iterative_allocation_state.h File Reference
`#include <asiolink/io_address.h>`
`#include <dhcpsrv/allocation_state.h>`
`#include <dhcpsrv/lease.h>`
`#include <dhcpsrv/subnet.h>`
`#include <boost/shared_ptr.hpp>`
`#include <cstdint>`
`#include <map>`
Include dependency graph for iterative_allocation_state.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | isc::dhcp::PoolIterativeAllocationState
| Pool allocation state used by the iterative allocator. More...
class | isc::dhcp::SubnetIterativeAllocationState
| Subnet allocation state used by the iterative allocator. More...

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::dhcp

## Typedefs
typedef boost::shared_ptr< PoolIterativeAllocationState > | isc::dhcp::PoolIterativeAllocationStatePtr
| Type of the pointer to the `PoolIterativeAllocationState`.
typedef boost::shared_ptr< SubnetIterativeAllocationState > | isc::dhcp::SubnetIterativeAllocationStatePtr
| Type of the pointer to the `SubnetIterativeAllocationState`.